# 32/64 bit specfile
Summary:	A Simple and Lightweight Music Player
Name:		kissplayer
Version:	0.6.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound
Url:		https://github.com/andreldm/kissplayer
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#----------------------------------
BuildRequires: %{_lib}fmodex-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}fltk-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: %{_lib}xtst-devel
#-----------------------------------
Requires: %{_lib}fmodex4

%description
Cross-platform and open-source Music Player designed to be simple and lightweight.
If you want a player full of features, most of them you don't use, exaggerated
eye-candy and a memory hog, take a look around , there are lots. However if you
want a different player that doesn't distract you or wastes your time,
KISS Player can be a great alternative.


%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/kissplayer
%{_datadir}/applications/kissplayer.desktop
%{_iconsdir}/hicolor/48x48/apps/kissplayer.png
%{_iconsdir}/hicolor/64x64/apps/kissplayer.png
%{_iconsdir}/hicolor/scalable/apps/kissplayer.svg


%changelog
* Mon Aug 08 2016 adrianomorselli <adrianomorselli> 0.6.4-2uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 0.6.4-2pclos2016
- rebuild for updates

* Sat Sep 12 2015 bb <bb> 0.6.4-1pclos2015
- import into pclos
